#!/usr/bin/python

# Stop the dome shutter motor
#
# Copyright 2014 John Kielkopf
#
#

# The dli module needs to be in the python path.  
# Add current directory to the path so we can find the dli module
import sys
import time

sys.path.append('.')

# Import the DLI module -- must be in the same directory as this py file

import dli


# Switch settings for the DLI device

SWITCHIP="192.168.1.250"
USER="user"
PASSWORD="password"

# Open (connect) to the power switch, if the
# parameters are not passed it defaults to the
# IP address, user and password the switch is 
# set with from the factory.  Only changed items
# actually need to be passed.
switch=dli.powerswitch(hostname=SWITCHIP,userid=USER,password=PASSWORD)

# Verify the switch
if not switch.verify():
  print "Cannot talk to the switch"
  sys.exit(1)

# Power the motor switch off
switch.off(5)
  
time.sleep(1.)

# Power the direction switch off
switch.off(6)
  

print 'Dome shutter motor turned off.'  
  
exit()
  
